package reparto_izca.keymon.lat.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_principal{

public static void LS_general(anywheresoftware.b4a.BA ba, android.view.View parent, anywheresoftware.b4a.keywords.LayoutValues lv, java.util.Map props,
java.util.Map<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) throws Exception {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);
views.get("img2").vw.setLeft((int)(0d));
views.get("img2").vw.setWidth((int)((100d / 100 * width) - (0d)));
//BA.debugLineNum = 4;BA.debugLine="img2.SetTopAndBottom(0,100%y)"[principal/General script]
views.get("img2").vw.setTop((int)(0d));
views.get("img2").vw.setHeight((int)((100d / 100 * height) - (0d)));
//BA.debugLineNum = 5;BA.debugLine="L_carga.HorizontalCenter = 50%X"[principal/General script]
views.get("l_carga").vw.setLeft((int)((50d / 100 * width) - (views.get("l_carga").vw.getWidth() / 2)));
//BA.debugLineNum = 6;BA.debugLine="l_carga2.HorizontalCenter = 50%X"[principal/General script]
views.get("l_carga2").vw.setLeft((int)((50d / 100 * width) - (views.get("l_carga2").vw.getWidth() / 2)));
//BA.debugLineNum = 7;BA.debugLine="Label10.HorizontalCenter = 50%X"[principal/General script]
views.get("label10").vw.setLeft((int)((50d / 100 * width) - (views.get("label10").vw.getWidth() / 2)));
//BA.debugLineNum = 8;BA.debugLine="Label11.HorizontalCenter = 50%X"[principal/General script]
views.get("label11").vw.setLeft((int)((50d / 100 * width) - (views.get("label11").vw.getWidth() / 2)));
//BA.debugLineNum = 9;BA.debugLine="PB_carga.HorizontalCenter = 50%X"[principal/General script]
views.get("pb_carga").vw.setLeft((int)((50d / 100 * width) - (views.get("pb_carga").vw.getWidth() / 2)));
//BA.debugLineNum = 10;BA.debugLine="PB_carga2.HorizontalCenter = 50%X"[principal/General script]
views.get("pb_carga2").vw.setLeft((int)((50d / 100 * width) - (views.get("pb_carga2").vw.getWidth() / 2)));
//BA.debugLineNum = 11;BA.debugLine="B_carga.HorizontalCenter = 50%X"[principal/General script]
views.get("b_carga").vw.setLeft((int)((50d / 100 * width) - (views.get("b_carga").vw.getWidth() / 2)));
//BA.debugLineNum = 12;BA.debugLine="b_impresion_rec.HorizontalCenter = 25%x"[principal/General script]
views.get("b_impresion_rec").vw.setLeft((int)((25d / 100 * width) - (views.get("b_impresion_rec").vw.getWidth() / 2)));
//BA.debugLineNum = 13;BA.debugLine="b_regreso.HorizontalCenter = 75%x"[principal/General script]
views.get("b_regreso").vw.setLeft((int)((75d / 100 * width) - (views.get("b_regreso").vw.getWidth() / 2)));
//BA.debugLineNum = 14;BA.debugLine="ListView1.VerticalCenter = 50%y"[principal/General script]
views.get("listview1").vw.setTop((int)((50d / 100 * height) - (views.get("listview1").vw.getHeight() / 2)));
//BA.debugLineNum = 15;BA.debugLine="ListView1.HorizontalCenter = 50%x"[principal/General script]
views.get("listview1").vw.setLeft((int)((50d / 100 * width) - (views.get("listview1").vw.getWidth() / 2)));
//BA.debugLineNum = 16;BA.debugLine="B_REGRESA.HorizontalCenter = 50%x"[principal/General script]
views.get("b_regresa").vw.setLeft((int)((50d / 100 * width) - (views.get("b_regresa").vw.getWidth() / 2)));
//BA.debugLineNum = 17;BA.debugLine="Panel2.HorizontalCenter = 50%x"[principal/General script]
views.get("panel2").vw.setLeft((int)((50d / 100 * width) - (views.get("panel2").vw.getWidth() / 2)));
//BA.debugLineNum = 18;BA.debugLine="Panel3.HorizontalCenter = 50%x"[principal/General script]
views.get("panel3").vw.setLeft((int)((50d / 100 * width) - (views.get("panel3").vw.getWidth() / 2)));

}
}